CREATE TABLE egp_ref_desgs_interface (
    COMPONENT_REFERENCE_DESIGNATOR    VARCHAR2(60)  ,
    PREPROCESS_THREAD_NUMBER          NUMBER(18, 0) ,
    ITEM_TRANSACTION_ID               NUMBER(18, 0) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REF_DESIGNATOR_COMMENT            VARCHAR2(960) ,
    CHANGE_NOTICE                     VARCHAR2(200) ,
    COMPONENT_SEQUENCE_ID             NUMBER(18, 0) ,
    ACD_TYPE                          NUMBER        ,
    REQUEST_ID                        NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(600) ,
    BILL_SEQUENCE_ID                  NUMBER(18, 0) ,
    ASSEMBLY_ITEM_ID                  NUMBER(18, 0) ,
    ALTERNATE_BOM_DESIGNATOR          VARCHAR2(320) ,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    COMPONENT_ITEM_ID                 NUMBER(18, 0) ,
    OPERATION_SEQ_NUM                 NUMBER        ,
    EFFECTIVITY_DATE                  DATE          ,
    ORGANIZATION_CODE                 VARCHAR2(72)  ,
    ASSEMBLY_ITEM_NUMBER              VARCHAR2(3280),
    COMPONENT_ITEM_NUMBER             VARCHAR2(3280),
    TRANSACTION_ID                    NUMBER(18, 0) ,
    PROCESS_STATUS                    NUMBER(18, 0) ,
    NEW_DESIGNATOR                    VARCHAR2(60)  ,
    INTERFACE_ENTITY_TYPE             VARCHAR2(16)  ,
    TRANSACTION_TYPE                  VARCHAR2(40)  ,
    BOM_REF_DESGS_IFCE_KEY            VARCHAR2(120) ,
    BOM_INVENTORY_COMPS_IFCE_KEY      VARCHAR2(120) ,
    ENG_REVISED_ITEMS_IFCE_KEY        VARCHAR2(120) ,
    ENG_CHANGES_IFCE_KEY              VARCHAR2(120) ,
    FROM_END_ITEM_UNIT_NUMBER         VARCHAR2(960) ,
    ORIGINAL_SYSTEM_REFERENCE         VARCHAR2(960) ,
    NEW_REVISED_ITEM_REVISION         VARCHAR2(12)  ,
    RETURN_STATUS                     VARCHAR2(4)   ,
    BATCH_ID                          NUMBER(18, 0) ,
    COMP_SOURCE_SYSTEM_REFERENCE      VARCHAR2(1020),
    PARENT_SOURCE_SYSTEM_REFERENCE    VARCHAR2(1020),
    CHANGE_ID                         NUMBER(18, 0) ,
    CHANGE_TRANSACTION_TYPE           VARCHAR2(40)  ,
    ASSEMBLY_ITEM_REVISION_CODE       VARCHAR2(960) ,
    ASSEMBLY_ITEM_REVISION_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    PROGRAM_NAME                      VARCHAR2(120) ,
    PROGRAM_APP_NAME                  VARCHAR2(200) ,
    THREAD_NUMBER                     NUMBER(18, 0) ,
    INTERFACE_TABLE_UNIQUE_ID         NUMBER(18, 0) ,
    COMPONENT_TRANSACTION_ID          NUMBER(18, 0) ,
    PHASE_NUMBER                      NUMBER(18, 0) ,
    REF_DESIG_SEQUENCE_ID             NUMBER(18, 0) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    BATCH_NUMBER                      VARCHAR2(160) ,
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    EFFECTIVITY_CONTROL               NUMBER        ,
    INTERFACE_DATA_TYPE               VARCHAR2(400) ,
    SUPPLIER_ID                       NUMBER(18, 0) ,
    CHANGE_LINE_ID                    NUMBER        ,
    REDLINE_RECORD_TYPE               VARCHAR2(120) ,
    VERSION_ID                        NUMBER        ,
    COMPONENT_REFERENCE_DESIGNATOR    VARCHAR2(60)  ,
    ITEM_TRANSACTION_ID               NUMBER(18, 0) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REF_DESIGNATOR_COMMENT            VARCHAR2(960) ,
    CHANGE_NOTICE                     VARCHAR2(200) ,
    COMPONENT_SEQUENCE_ID             NUMBER(18, 0) ,
    ACD_TYPE                          NUMBER        ,
    REQUEST_ID                        NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(600) ,
    BILL_SEQUENCE_ID                  NUMBER(18, 0) ,
    ASSEMBLY_ITEM_ID                  NUMBER(18, 0) ,
    ALTERNATE_BOM_DESIGNATOR          VARCHAR2(320) ,
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    COMPONENT_ITEM_ID                 NUMBER(18, 0) ,
    OPERATION_SEQ_NUM                 NUMBER        ,
    EFFECTIVITY_DATE                  DATE          ,
    ORGANIZATION_CODE                 VARCHAR2(72)  ,
    ASSEMBLY_ITEM_NUMBER              VARCHAR2(3280),
    COMPONENT_ITEM_NUMBER             VARCHAR2(3280),
    TRANSACTION_ID                    NUMBER(18, 0) ,
    PROCESS_STATUS                    NUMBER(18, 0) ,
    NEW_DESIGNATOR                    VARCHAR2(60)  ,
    INTERFACE_ENTITY_TYPE             VARCHAR2(16)  ,
    TRANSACTION_TYPE                  VARCHAR2(40)  ,
    BOM_REF_DESGS_IFCE_KEY            VARCHAR2(120) ,
    BOM_INVENTORY_COMPS_IFCE_KEY      VARCHAR2(120) ,
    ENG_REVISED_ITEMS_IFCE_KEY        VARCHAR2(120) ,
    ENG_CHANGES_IFCE_KEY              VARCHAR2(120) ,
    FROM_END_ITEM_UNIT_NUMBER         VARCHAR2(960) ,
    ORIGINAL_SYSTEM_REFERENCE         VARCHAR2(960) ,
    NEW_REVISED_ITEM_REVISION         VARCHAR2(12)  ,
    RETURN_STATUS                     VARCHAR2(4)   ,
    BATCH_ID                          NUMBER(18, 0) ,
    COMP_SOURCE_SYSTEM_REFERENCE      VARCHAR2(1020),
    PARENT_SOURCE_SYSTEM_REFERENCE    VARCHAR2(1020),
    CHANGE_ID                         NUMBER(18, 0) ,
    CHANGE_TRANSACTION_TYPE           VARCHAR2(40)  ,
    ASSEMBLY_ITEM_REVISION_CODE       VARCHAR2(960) ,
    ASSEMBLY_ITEM_REVISION_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    PROGRAM_NAME                      VARCHAR2(120) ,
    PROGRAM_APP_NAME                  VARCHAR2(200) ,
    THREAD_NUMBER                     NUMBER(18, 0) ,
    INTERFACE_TABLE_UNIQUE_ID         NUMBER(18, 0) ,
    COMPONENT_TRANSACTION_ID          NUMBER(18, 0) ,
    PHASE_NUMBER                      NUMBER(18, 0) ,
    REF_DESIG_SEQUENCE_ID             NUMBER(18, 0) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    BATCH_NUMBER                      VARCHAR2(160) ,
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    EFFECTIVITY_CONTROL               NUMBER        ,
    INTERFACE_DATA_TYPE               VARCHAR2(400) ,
    PREPROCESS_THREAD_NUMBER          NUMBER(18, 0) ,
    SUPPLIER_ID                       NUMBER(18, 0) ,
    CHANGE_LINE_ID                    NUMBER        ,
    REDLINE_RECORD_TYPE               VARCHAR2(120) ,
    VERSION_ID                        NUMBER        
);
